--
-- name: mst_priority; Type: TABLE; Schema: public; 

CREATE TABLE IF NOT EXISTS mst_priority (
    priority_cd character varying(2) NOT NULL,
    priority_name character varying(50) NOT NULL,
    enable CHARACTER VARYING(1) DEFAULT 't' NOT NULL,
    CONSTRAINT mst_priority_priority_cd PRIMARY KEY(priority_cd)
) type=innodb;

GRANT ALL ON mst_priority TO nobody;  
FLUSH PRIVILEGES;

--
-- name: task_category; Type: TABLE; Schema: public;  

CREATE TABLE IF NOT EXISTS task_category (
    category_cd character varying(10) NOT NULL,
    category_name character varying(100) NOT NULL,
    group_cd integer NOT NULL,
    description text,
    readable character varying(1) DEFAULT 't' NOT NULL,
    INDEX task_category_idx1(group_cd),
    CONSTRAINT task_category_group_cd FOREIGN KEY(group_cd) REFERENCES group_master(group_cd),
    CONSTRAINT task_category_pkey PRIMARY KEY(category_cd,group_cd)
) type=innodb;

GRANT ALL ON task_category TO nobody;
FLUSH PRIVILEGES;

--
-- name: task_sub_category; Type: TABLE; Schema: public;  

CREATE TABLE IF NOT EXISTS task_sub_category (
    category_cd character varying(10) NOT NULL,
    sub_category_cd character varying(10) NOT NULL,
    sub_category_name character varying(100) NOT NULL,
    group_cd integer NOT NULL,
    description text,
    readable character varying(1) DEFAULT 't' NOT NULL,
    INDEX task_sub_category_idx1(category_cd),
    INDEX task_sub_category_idx2(group_cd),
    CONSTRAINT task_sub_category_category_cd FOREIGN KEY(category_cd) REFERENCES task_category(category_cd),
    CONSTRAINT task_sub_category_group_cd FOREIGN KEY(group_cd) REFERENCES group_master(group_cd),
    CONSTRAINT task_sub_category_pkey PRIMARY KEY(category_cd,sub_category_cd,group_cd)
) type=innodb;
GRANT ALL ON task_sub_category TO nobody;
FLUSH PRIVILEGES;

--
-- name: task; Type: TABLE; Schema: public;  

create table IF NOT EXISTS task (
    category_cd character varying(10) NOT NULL,
    sub_category_cd character varying(10) NOT NULL,
    group_cd integer NOT NULL,
    task_cd character varying(10) NOT NULL,
    title character varying(100) NOT NULL,
    description text,
    plan_start_date date,
    plan_start_time time,
    plan_end_date date,
    plan_end_time time,
    result_start_date date,
    result_start_time time,
    result_end_date date,
    result_end_time time,
    priority_cd character varying(2) NOT NULL,
    owner_emp_cd character varying(50) NOT NULL,
    regist_emp_cd character  varying(50) NOT NULL,
    status integer NOT NULL,
    schedule_flg character varying(1) DEFAULT 't' NOT NULL,
    INDEX task_idx1(group_cd),
    INDEX task_idx2(priority_cd),
    CONSTRAINT task_group_cd FOREIGN KEY(group_cd) REFERENCES group_master(group_cd),
    CONSTRAINT task_priority_cd FOREIGN KEY(priority_cd) REFERENCES mst_priority(priority_cd),
    CONSTRAINT task_pkey PRIMARY KEY(category_cd,sub_category_cd,group_cd,task_cd)
) type=innodb;

GRANT ALL ON task TO nobody;  
FLUSH PRIVILEGES;

--  ͥ٥ơ֥Ͽ
INSERT INTO mst_priority (priority_cd, priority_name, enable) VALUES('1', '۵', 't');
INSERT INTO mst_priority (priority_cd, priority_name, enable) VALUES('2', '', 't');
INSERT INTO mst_priority (priority_cd, priority_name, enable) VALUES('3', '', 't');

-- Ŀѥ롼׺
INSERT INTO group_master(group_cd, group_name, owner_emp_cd, public_flg) VALUES(-1, 'Ŀ', 'admin', 't');

-- Ŀѥƥ
INSERT INTO task_category (category_cd, category_name, group_cd, description, readable) VALUES('-1', 'Ŀ', '-1', '', 'f');

-- Ŀѥ֥ƥ
INSERT INTO task_sub_category (category_cd, sub_category_cd, sub_category_name, group_cd, description, readable)
VALUES('-1', '-1', 'Ŀ', '-1', '', 'f');

-- ƥѥꥢNoϿ
INSERT INTO serialnumber(name, code) VALUES('task_category_cd', '1');

-- ֥ƥѥꥢNoϿ
INSERT INTO serialnumber(name, code) VALUES('task_subcategory_cd', '1');

-- ѥꥢNoϿ
INSERT INTO serialnumber(name, code) VALUES('task_cd', '1');

-- ץꥱ󥳥եơ֥Ͽ
INSERT INTO appconf (gwap,name,enable,link,gazou,cngok,sort_order,name_e,menu_category_id)
 VALUES('task','','t','task/TaskManage.php','../task/images/task_title.gif','f',3,'TaskManagement',1);

