\connect - postgres

SET search_path = public, pg_catalog;

--
-- name: mst_priority; Type: TABLE; Schema: public; Owner: postgres

CREATE TABLE mst_priority (
    priority_cd character varying(2)  CONSTRAINT mst_priority_priority_cd PRIMARY KEY,
    priority_name character varying(50) CONSTRAINT mst_priority_priority_name NOT NULL,
    enable boolean NOT NULL
);

REVOKE ALL ON TABLE mst_priority FROM PUBLIC;
GRANT ALL ON TABLE mst_priority TO nobody;  

--
-- name: task_category; Type: TABLE; Schema: public; Owner: postgres 

CREATE TABLE task_category (
    category_cd character varying(10) CONSTRAINT task_category_category_cd UNIQUE NOT NULL,
    category_name character varying(100)  CONSTRAINT task_category_category_name NOT NULL,
    group_cd integer CONSTRAINT task_category_group_cd REFERENCES group_master(group_cd) NOT NULL,
    description text,
    readable boolean  CONSTRAINT task_category_readable NOT NULL,
    CONSTRAINT task_category_category_cd_group_cd PRIMARY KEY(category_cd,group_cd)
);

REVOKE ALL ON task_category FROM PUBLIC;
GRANT ALL ON task_category TO nobody;

--
-- name: task_sub_category; Type: TABLE; Schema: public; Owner: postgres 

CREATE TABLE task_sub_category (
    category_cd character varying(10) CONSTRAINT task_sub_category_category_cd REFERENCES task_category(category_cd) NOT NULL,
    sub_category_cd character varying(10) CONSTRAINT task_sub_category_sub_category_cd UNIQUE NOT NULL,
    sub_category_name character varying(100) CONSTRAINT task_sub_category_sub_category_name NOT NULL,
    group_cd integer CONSTRAINT task_sub_category_group_cd REFERENCES group_master(group_cd) NOT NULL,
    description text,
    readable boolean  CONSTRAINT task_sub_category_readable NOT NULL,
    CONSTRAINT task_sub_category_category_cd_sub_category_cd_group_cd PRIMARY KEY(category_cd,sub_category_cd,group_cd)
);

REVOKE ALL ON task_sub_category FROM PUBLIC;
GRANT ALL ON task_sub_category TO nobody;

--
-- name: task; Type: TABLE; Schema: public; Owner: postgres 

create table task (
    category_cd character varying(10)  CONSTRAINT task_category_cd REFERENCES task_category(category_cd) NOT NULL,
    sub_category_cd character varying(10)  CONSTRAINT task_sub_category_cd REFERENCES task_sub_category(sub_category_cd) NOT NULL,
    group_cd integer CONSTRAINT task_group_cd REFERENCES group_master(group_cd) NOT NULL,
    task_cd character varying(10) CONSTRAINT task_task_cd UNIQUE NOT NULL,
    title character varying(100) CONSTRAINT task_title NOT NULL,
    description text,
    plan_start_date date,
    plan_start_time time,
    plan_end_date date,
    plan_end_time time,
    result_start_date date,
    result_start_time time,
    result_end_date date,
    result_end_time time,
    priority_cd character varying(10) CONSTRAINT task_priority_cd REFERENCES mst_priority(priority_cd) NOT NULL,
    owner_emp_cd character varying(50) NOT NULL,
    regist_emp_cd character  varying(50) NOT NULL,
    status integer CONSTRAINT task_status NOT NULL,
    schedule_flg boolean CONSTRAINT task_schedule_flg NOT NULL,
    CONSTRAINT task_category_cd_sub_category_cd_group_cd PRIMARY KEY(category_cd,sub_category_cd,group_cd,task_cd)
);

REVOKE ALL ON TABLE task FROM PUBLIC;
GRANT ALL ON TABLE task TO nobody;  

--  ͥ٥ơ֥Ͽ
INSERT INTO mst_priority (priority_cd, priority_name, enable) VALUES('1', '۵', 't');
INSERT INTO mst_priority (priority_cd, priority_name, enable) VALUES('2', '', 't');
INSERT INTO mst_priority (priority_cd, priority_name, enable) VALUES('3', '', 't');

-- Ŀѥ롼׺
INSERT INTO group_master(group_cd, group_name, owner_emp_cd, public_flg) VALUES(-1, 'Ŀ', 'admin', 't');

-- Ŀѥƥ
INSERT INTO task_category (category_cd, category_name, group_cd, description, readable) VALUES('-1', 'Ŀ', '-1', '', 'f');

-- Ŀѥ֥ƥ
INSERT INTO task_sub_category (category_cd, sub_category_cd, sub_category_name, group_cd, description, readable)
VALUES('-1', '-1', 'Ŀ', '-1', '', 'f');

-- ƥѥꥢNoϿ
INSERT INTO serialnumber(name, code) VALUES('task_category_cd', '1');

-- ֥ƥѥꥢNoϿ
INSERT INTO serialnumber(name, code) VALUES('task_subcategory_cd', '1');

-- ѥꥢNoϿ
INSERT INTO serialnumber(name, code) VALUES('task_cd', '1');

-- ץꥱ󥳥եơ֥Ͽ
INSERT INTO appconf (gwap,name,enable,link,gazou,cngok,sort_order,name_e,menu_category_id)
 VALUES('task','','t','task/TaskManage.php','../task/images/task_title.gif','f',3,'TaskManagement',1);

