drop table task;

create table IF NOT EXISTS task (
    category_cd character varying(10) NOT NULL,
    sub_category_cd character varying(10) NOT NULL,
    group_cd integer NOT NULL,
    task_cd character varying(10) NOT NULL,
    title character varying(100) NOT NULL,
    description text,
    plan_start_date date,
    plan_start_time time,
    plan_end_date date,
    plan_end_time time,
    result_start_date date,
    result_start_time time,
    result_end_date date,
    result_end_time time,
    priority_cd character varying(2) NOT NULL,
    owner_emp_cd character varying(50) NOT NULL,
    regist_emp_cd character  varying(50) NOT NULL,
    status integer NOT NULL,
    schedule_flg character varying(1) DEFAULT 't' NOT NULL,
    INDEX task_idx1(group_cd),
    INDEX task_idx2(priority_cd),
    CONSTRAINT task_group_cd FOREIGN KEY(group_cd) REFERENCES group_master(group_cd),
    CONSTRAINT task_priority_cd FOREIGN KEY(priority_cd) REFERENCES mst_priority(priority_cd),
    CONSTRAINT task_pkey PRIMARY KEY(category_cd,sub_category_cd,group_cd,task_cd)
) type=innodb;

GRANT ALL ON task TO nobody;  
FLUSH PRIVILEGES;
