\connect - postgres
CREATE TABLE appconf (
  gwap CHARACTER VARYING(10) CONSTRAINT appconf_gwap PRIMARY KEY,
  name CHARACTER VARYING(40) CONSTRAINT appconf_name NOT NULL,
  enable BOOLEAN DEFAULT 'f',
  link CHARACTER VARYING(255),
  gazou CHARACTER VARYING(50),
  cngok BOOLEAN DEFAULT 'f',
  sort_order INTEGER,
  name_e CHARACTER VARYING(100),
  menu_category_id INTEGER
);
REVOKE ALL ON appconf FROM public;
GRANT ALL ON appconf TO nobody;


CREATE TABLE category (
  cat_cd character varying(10) CONSTRAINT category_cat_cd PRIMARY KEY,
  cat_name CHARACTER VARYING(100) CONSTRAINT category_cat_name NOT NULL,
  enable BOOLEAN DEFAULT 'f'
);
REVOKE ALL ON category FROM public;
GRANT ALL ON category TO nobody;


CREATE TABLE company (
  c_name CHARACTER VARYING(200) CONSTRAINT company_c_name NOT NULL,
  ck_name CHARACTER VARYING(200),
  c_date DATE,
  capital INTEGER,
  homepage CHARACTER VARYING(300),
  email CHARACTER VARYING(100),
  boss CHARACTER VARYING(50)
);
REVOKE ALL ON company FROM public;
GRANT ALL ON company TO nobody;


CREATE TABLE division (
  division CHARACTER VARYING(10) CONSTRAINT division_division PRIMARY KEY,
  div_name CHARACTER VARYING(50) CONSTRAINT division_div_name NOT NULL
);
REVOKE ALL ON division FROM public;
GRANT ALL ON division TO nobody;


CREATE TABLE facilities (
  fac_cd CHARACTER VARYING(10) CONSTRAINT facilities_fac_cd PRIMARY KEY,
  fac_name CHARACTER VARYING(100) CONSTRAINT facilities_fac_name NOT NULL,
  enable BOOLEAN DEFAULT 'f'
);
REVOKE ALL ON facilities FROM public;
GRANT ALL ON facilities TO nobody;


CREATE TABLE holiday (
  hdate DATE CONSTRAINT holiday_hdate NOT NULL,
  hname CHARACTER VARYING(100) CONSTRAINT holiday_hname NOT NULL,
  flgorgin BOOLEAN DEFAULT 'f'
);
REVOKE ALL ON holiday FROM public;
GRANT ALL ON holiday TO nobody;


CREATE TABLE mst_touban (
  touban_cd CHARACTER VARYING(10) CONSTRAINT mst_touban_touban_cd PRIMARY KEY,
  touban_name CHARACTER VARYING(100) CONSTRAINT mst_touban_touban_name NOT NULL,
  memo CHARACTER VARYING(255)
);
REVOKE ALL ON mst_touban FROM public;
GRANT ALL ON mst_touban TO nobody;


CREATE TABLE touban (
  touban_cd CHARACTER VARYING(10) CONSTRAINT touban_touban_cd REFERENCES mst_touban(touban_cd) NOT NULL,
  touban_date DATE CONSTRAINT touban_touban_date NOT NULL,
  emp_cd CHARACTER VARYING[]
);
REVOKE ALL ON touban FROM public;
GRANT ALL ON touban TO nobody;


CREATE TABLE mst_type (
  kind CHARACTER VARYING(10) CONSTRAINT mst_type_type PRIMARY KEY,
  t_name CHARACTER VARYING(20) CONSTRAINT mst_type_t_name NOT NULL
);
REVOKE ALL ON mst_type FROM public;
GRANT ALL ON mst_type TO nobody;


CREATE TABLE mst_wflow (
  petition_cd character varying(10) CONSTRAINT mst_wflow_petition_cd PRIMARY KEY,
  petition_name CHARACTER VARYING(200) CONSTRAINT mst_wflow_petition_name NOT NULL,
  petition_type CHARACTER VARYING(10) CONSTRAINT mst_wflow_petition_type NOT NULL,
  send_end_mail BOOLEAN DEFAULT 't',
  send_sanction_mail BOOLEAN DEFAULT 't',
  send_remand_mail BOOLEAN DEFAULT 't',
  send_withdrawal_mail BOOLEAN DEFAULT 't'
);
REVOKE ALL ON mst_wflow FROM public;
GRANT ALL ON mst_wflow TO nobody;


CREATE TABLE employee (
  emp_cd CHARACTER VARYING(50) CONSTRAINT employee_emp_cd PRIMARY KEY,
  emp_password CHARACTER VARYING(50) CONSTRAINT employee_password NOT NULL,
  last_name_j CHARACTER VARYING(10) CONSTRAINT employee_last_name_j NOT NULL,
  first_name_j CHARACTER VARYING(10) CONSTRAINT employee_first_name_j NOT NULL,
  last_name_e CHARACTER VARYING(20) CONSTRAINT employee_last_name_e NOT NULL,
  first_name_e CHARACTER VARYING(20) CONSTRAINT employee_first_name_e NOT NULL,
  last_name_kana CHARACTER VARYING(20) CONSTRAINT employee_last_name_kana NOT NULL,
  first_name_kana CHARACTER VARYING(20) CONSTRAINT employee_first_name_kana NOT NULL,
  sex BOOLEAN,
  kind CHARACTER VARYING(10) CONSTRAINT employee_kind REFERENCES mst_type(kind),
  division CHARACTER VARYING(10) CONSTRAINT employee_division REFERENCES division(division),
  birthday DATE,
  join_date DATE,
  retire_date DATE,
  extension_no CHARACTER VARYING(10),
  home_postal CHARACTER(7),
  home_addr1 CHARACTER VARYING(100),
  home_addr2 CHARACTER VARYING(100),
  home_addr3 CHARACTER VARYING(100),
  home_phone CHARACTER VARYING(20),
  handy_phone CHARACTER VARYING(20),
  email CHARACTER VARYING(50),
  contact CHARACTER VARYING(100),
  sort_no CHARACTER VARYING(10) CONSTRAINT employee_sort_no NOT NULL,
  unify BOOLEAN DEFAULT 'f'
);
REVOKE ALL ON employee FROM public;
GRANT ALL ON employee TO nobody;


CREATE TABLE administrators (
  emp_cd CHARACTER VARYING(50) CONSTRAINT administrators_emp_cd REFERENCES employee(emp_cd) NOT NULL
);
REVOKE ALL ON administrators FROM public;
GRANT ALL ON administrators TO nobody;


CREATE TABLE casus (
  petition_time TIMESTAMP CONSTRAINT casus_petition_time PRIMARY KEY,
  casus CHARACTER VARYING,
  emp_cd CHARACTER VARYING(50) CONSTRAINT casus_emp_cd REFERENCES employee(emp_cd) NOT NULL
);
REVOKE ALL ON casus FROM public;
GRANT ALL ON casus TO nobody;


CREATE TABLE chief (
  emp_cd CHARACTER VARYING(50) PRIMARY KEY CONSTRAINT chief_emp_cd REFERENCES employee(emp_cd),
  title CHARACTER VARYING
);
REVOKE ALL ON chief FROM public;
GRANT ALL ON chief TO nobody;


CREATE TABLE chiefemp (
  chief CHARACTER VARYING(50),
  emp_cd CHARACTER VARYING(50) CONSTRAINT chiefemp_emp_cd REFERENCES employee(emp_cd),
  CONSTRAINT chiefemp_chief_emp_cd PRIMARY KEY(chief,emp_cd)
);
REVOKE ALL ON chiefemp FROM public;
GRANT ALL ON chiefemp TO nobody;


CREATE TABLE gwlog (
  record_time TIMESTAMP CONSTRAINT gwlog_time NOT NULL,
  emp_cd CHARACTER VARYING(50) CONSTRAINT gwlog_emp_cd REFERENCES employee(emp_cd) NOT NULL,
  gwap CHARACTER VARYING(10),
  access CHARACTER VARYING(15)
);
REVOKE ALL ON gwlog FROM public;
GRANT ALL ON gwlog TO nobody;


CREATE TABLE monsche (
  sche_date DATE CONSTRAINT monsche_sche_date NOT NULL,
  seq INTEGER CONSTRAINT monsche_seq NOT NULL,
  tantou CHARACTER VARYING(50),
  schedule CHARACTER VARYING,
  division CHARACTER VARYING(10) CONSTRAINT monsche_division REFERENCES division(division)
);
REVOKE ALL ON monsche FROM public;
GRANT ALL ON monsche TO nobody;


CREATE TABLE nextodd (
  petition_time TIMESTAMP CONSTRAINT nextodd_petition_time PRIMARY KEY,
  emp_cd CHARACTER VARYING(50) CONSTRAINT nextodd_emp_cd REFERENCES employee(emp_cd) NOT NULL
);
REVOKE ALL ON nextodd FROM public;
GRANT ALL ON nextodd TO nobody;


CREATE TABLE oddmans (
  petition_time TIMESTAMP,
  petition_cd CHARACTER VARYING(10) CONSTRAINT oddmans_petition_cd REFERENCES mst_wflow(petition_cd),
  emp_cd CHARACTER VARYING(50) CONSTRAINT oddmans_emp_cd REFERENCES employee(emp_cd),
  seq SMALLINT CONSTRAINT oddmans_seq NOT NULL,
  CONSTRAINT oddmans_petition_time_emp_cd PRIMARY KEY(petition_time,emp_cd)
);
REVOKE ALL ON oddmans FROM public;
GRANT ALL ON oddmans TO nobody;


CREATE TABLE subcategory (
  subcat_cd varchar(10) PRIMARY KEY,
  subcat_name VARCHAR(100) NOT NULL,
  enable BOOLEAN ,
  cat_cd varchar(10) CONSTRAINT subcategory_cat_cd REFERENCES category(cat_cd) NOT NULL
);
REVOKE ALL ON subcategory FROM public;
GRANT ALL ON subcategory TO nobody;


CREATE TABLE record (
  filename VARCHAR NOT NULL,
  cat_cd varchar(10) CONSTRAINT record_cat_cd REFERENCES category(cat_cd) NOT NULL,
  subcat_cd varchar(10) CONSTRAINT record_subcat_cd REFERENCES subcategory(subcat_cd) NOT NULL,
  remark VARCHAR,
  emp_cd VARCHAR(50) CONSTRAINT record_emp_cd REFERENCES employee(emp_cd) NOT NULL,
  up_time TIMESTAMP CONSTRAINT record_up_time NOT NULL,
  filesize INTEGER
);
REVOKE ALL ON record FROM public;
GRANT ALL ON record TO nobody;


CREATE TABLE reservation (
  fac_cd CHARACTER VARYING(10) NOT NULL,
  emp_cd CHARACTER VARYING(50) NOT NULL,
  schedule_cd INTEGER NOT NULL,
  schedule_date_cd INTEGER NOT NULL,
  ac_date TIMESTAMP NULL DEFAULT 'now'
);
REVOKE ALL ON reservation FROM public;
GRANT ALL ON reservation TO nobody;
ALTER TABLE reservation ADD PRIMARY KEY(
  fac_cd,
  emp_cd,
  schedule_cd,
  schedule_date_cd
);
CREATE INDEX reservation_fac_cd_fk ON reservation(fac_cd);
CREATE INDEX reservation_emp_cd_fk ON reservation(emp_cd);
CREATE INDEX reservation_schedule_cd_fk ON reservation(schedule_cd);
CREATE INDEX reservation_schedule_date_cd_fk ON reservation(schedule_date_cd);
ALTER TABLE ONLY reservation
  ADD CONSTRAINT reservation_fac_cd FOREIGN KEY(fac_cd) REFERENCES facilities(fac_cd)
  ON DELETE NO ACTION ON UPDATE NO ACTION;
ALTER TABLE ONLY reservation
  ADD CONSTRAINT reservation_emp_cd FOREIGN KEY(emp_cd) REFERENCES employee(emp_cd)
  ON DELETE NO ACTION ON UPDATE NO ACTION;
ALTER TABLE ONLY reservation
  ADD CONSTRAINT reservation_schedule_cd_schedule_date_cd FOREIGN KEY(schedule_cd, schedule_date_cd) REFERENCES schedule_date(schedule_cd, schedule_date_cd)
  ON DELETE NO ACTION ON UPDATE NO ACTION;


CREATE TABLE schedule2 (
  schedule_cd INTEGER NOT NULL PRIMARY KEY,
  emp_cd CHARACTER VARYING(50) NOT NULL,
  scdl_plan TEXT NOT NULL,
  scdl_place CHARACTER VARYING(128) NULL,
  scdl_remarks TEXT NULL,
  flg_del CHARACTER(1) NULL DEFAULT 'f',
  flg_pub CHARACTER(1) NULL DEFAULT 't',
  flg_out CHARACTER(1) NULL DEFAULT 'f'
);
REVOKE ALL ON schedule2 FROM public;
GRANT ALL ON schedule2 TO nobody;
CREATE INDEX schedule2_emp_cd ON schedule2(emp_cd);
ALTER TABLE ONLY schedule2
  ADD CONSTRAINT schedule2_emp_cd FOREIGN KEY(emp_cd) REFERENCES employee(emp_cd)
  ON DELETE NO ACTION ON UPDATE NO ACTION;


CREATE TABLE schedule_date (
  schedule_cd INTEGER NOT NULL,
  schedule_date_cd INTEGER NOT NULL,
  scdl_date DATE NOT NULL,
  scdl_s_time TIME NULL,
  scdl_e_time TIME NULL,
  scdl_remarks TEXT NULL
);
REVOKE ALL ON schedule_date FROM public;
GRANT ALL ON schedule_date TO nobody;
ALTER TABLE schedule_date ADD PRIMARY KEY(
  schedule_cd,
  schedule_date_cd
);
CREATE INDEX schedule_date_schedule_cd_fk ON schedule_date(schedule_cd);
ALTER TABLE ONLY schedule_date
  ADD CONSTRAINT schedule_date_schedule_cd_index FOREIGN KEY(schedule_cd) REFERENCES schedule2(schedule_cd)
  ON DELETE NO ACTION ON UPDATE NO ACTION;


CREATE TABLE transactions (
  emp_cd CHARACTER VARYING(50) CONSTRAINT transactions_emp_cd REFERENCES employee(emp_cd) NOT NULL,
  trans_id CHARACTER VARYING CONSTRAINT transactions_trans_id NOT NULL
);
REVOKE ALL ON transactions FROM public;
GRANT ALL ON transactions TO nobody;


CREATE TABLE whiteboard (
  emp_cd CHARACTER VARYING(50) CONSTRAINT whiteboard_emp_cd REFERENCES employee(emp_cd) NOT NULL,
  place CHARACTER VARYING(1) DEFAULT '0',
  ins_time TIMESTAMP,
  destination CHARACTER VARYING(256),
  back_time TIME,
  write_emp CHARACTER VARYING(50) CONSTRAINT whiteboard_write_emp REFERENCES employee(emp_cd)
);
REVOKE ALL ON whiteboard FROM public;
GRANT ALL ON whiteboard TO nobody;


CREATE TABLE wiz_event_member (
  schedule_cd INTEGER NOT NULL,
  schedule_date_cd INTEGER NOT NULL,
  emp_cd VARCHAR(50) NOT NULL,
  enable VARCHAR(1) NOT NULL DEFAULT '1'
);
REVOKE ALL ON wiz_event_member FROM public;
GRANT ALL ON wiz_event_member TO nobody;
CREATE INDEX wiz_event_member_emp_cd_fk ON wiz_event_member(emp_cd);
CREATE INDEX wiz_event_member_schedule_cd_schedule_date_cd_fk ON wiz_event_member(schedule_cd, schedule_date_cd);
ALTER TABLE ONLY wiz_event_member
  ADD CONSTRAINT wiz_event_member_emp_cd FOREIGN KEY(emp_cd) REFERENCES employee(emp_cd)
  ON DELETE NO ACTION ON UPDATE NO ACTION;
ALTER TABLE ONLY wiz_event_member
  ADD CONSTRAINT wiz_event_member_schedule_cd_schedule_date_cd FOREIGN KEY(schedule_cd, schedule_date_cd) REFERENCES schedule_date(schedule_cd, schedule_date_cd)
  ON DELETE NO ACTION ON UPDATE NO ACTION;


CREATE TABLE workflow (
  petition_time TIMESTAMP CONSTRAINT workflow_petition_time PRIMARY KEY,
  emp_cd CHARACTER VARYING(50) CONSTRAINT workflow_emp_cd REFERENCES employee(emp_cd) NOT NULL,
  petition_cd CHARACTER VARYING(6) CONSTRAINT workflow_petition_cd REFERENCES mst_wflow(petition_cd) NOT NULL,
  oddtime CHARACTER VARYING[],
  oddall BOOLEAN DEFAULT 'f',
  time_begin TIMESTAMP,
  time_end TIMESTAMP,
  purpose CHARACTER VARYING,
  detail CHARACTER VARYING,
  etc CHARACTER VARYING,
  ammount INTEGER,
  ngflg BOOLEAN DEFAULT 'f',
  endflg BOOLEAN DEFAULT 'f',
  remark CHARACTER VARYING[],
  filename CHARACTER VARYING,
  delflg BOOLEAN DEFAULT 'f'
);
REVOKE ALL ON workflow FROM public;
GRANT ALL ON workflow TO nobody;

CREATE TABLE telmemo2 (
  regist_time TIMESTAMP CONSTRAINT telmemo2_time NOT NULL,
  emp_cd CHARACTER VARYING(50) CONSTRAINT telmemo2_emp_cd REFERENCES employee(emp_cd) NOT NULL,
  purpose SMALLINT CONSTRAINT telmemo2_purpose NOT NULL,
  memo CHARACTER VARYING CONSTRAINT telmemo2_memo NOT NULL,
  writer CHARACTER VARYING(50) CONSTRAINT telmemo2_writer REFERENCES employee(emp_cd) NOT NULL,
  del BOOLEAN
);
REVOKE ALL ON telmemo2 FROM public;
GRANT ALL ON telmemo2 TO nobody;


CREATE TABLE tmp_reservation (
  owner_emp_cd VARCHAR(50) NOT NULL,
  fac_cd VARCHAR(10) NOT NULL
);
REVOKE ALL ON tmp_reservation FROM public;
GRANT ALL ON tmp_reservation TO nobody;
ALTER TABLE tmp_reservation ADD PRIMARY KEY(
  owner_emp_cd,
  fac_cd
);


CREATE TABLE tmp_event_member (
  owner_emp_cd VARCHAR(50) NOT NULL,
  emp_cd VARCHAR(50) NOT NULL,
  enable VARCHAR(1) NULL
);
REVOKE ALL ON tmp_event_member FROM public;
GRANT ALL ON tmp_event_member TO nobody;
ALTER TABLE tmp_event_member ADD PRIMARY KEY(
  owner_emp_cd,
  emp_cd
);


CREATE TABLE notice (
  sendtime TIMESTAMP NOT NULL,
  emp_cd CHARACTER VARYING(50) NOT NULL,
  title CHARACTER VARYING(50) NULL,
  body TEXT NULL,
  confirm CHARACTER(1) NULL,
  schedule_cd INTEGER NULL,
  schedule_date_cd INTEGER NULL
);
REVOKE ALL ON notice FROM public;
GRANT ALL ON notice TO nobody;
ALTER TABLE notice ADD PRIMARY KEY(
  sendtime,
  emp_cd
);
CREATE INDEX notice_emp_cd_fk ON notice(emp_cd);


CREATE TABLE pnotice (
  sendtime TIMESTAMP CONSTRAINT pnotice_sendtime NOT NULL,
  emp_cd CHARACTER VARYING(50) CONSTRAINT pnotice_emp_cd REFERENCES employee(emp_cd) NOT NULL,
  seentime TIMESTAMP,
  reply BOOLEAN,
  remark CHARACTER VARYING,
  print_flg CHARACTER VARYING(1) DEFAULT '1'
);
REVOKE ALL ON pnotice FROM public;
GRANT ALL ON pnotice TO nobody;


CREATE TABLE torihikisaki (
  toricode character varying(10) PRIMARY KEY,
  input_emp_cd CHARACTER VARYING(50),
  syamei CHARACTER VARYING(50),
  shihon INTEGER,
  bank CHARACTER VARYING,
  gyomu CHARACTER VARYING,
  last_name_j CHARACTER VARYING(10),
  first_name_j CHARACTER VARYING(10),
  last_name_e CHARACTER VARYING(20),
  first_name_e CHARACTER VARYING(20),
  email CHARACTER VARYING(50),
  web CHARACTER VARYING(100)
);
REVOKE ALL ON torihikisaki FROM public;
GRANT ALL ON torihikisaki TO nobody;


CREATE TABLE tantou (
  seq character varying(10) NOT NULL,
  toricode character varying(10),
  last_name_j CHARACTER VARYING(10),
  first_name_j CHARACTER VARYING(10),
  last_name_e CHARACTER VARYING(20),
  first_name_e CHARACTER VARYING(20),
  sex BOOLEAN,
  busyo CHARACTER VARYING(100),
  yaku CHARACTER VARYING(100),
  phone CHARACTER VARYING(20),
  fax CHARACTER VARYING(20),
  handy CHARACTER VARYING(20),
  email CHARACTER VARYING(50),
  gyomu CHARACTER VARYING,
  memo CHARACTER VARYING,
  bashocode character varying(10),
  input_emp_cd character varying(50)
);
REVOKE ALL ON tantou FROM public;
GRANT ALL ON tantou TO nobody;

CREATE TABLE tori_place (
  toricode character varying(10) NOT NULL,
  bashocode character varying(10) NOT NULL,
  input_emp_cd CHARACTER VARYING(50),
  bashomei CHARACTER VARYING(50),
  postal CHARACTER VARYING(7),
  address TEXT,
  tel CHARACTER VARYING(20),
  fax CHARACTER VARYING(20)
);
revoke all on tori_place from public;
grant all on tori_place to nobody;

CREATE TABLE group_relation (
    group_cd INTEGER NOT NULL,
    emp_cd CHARACTER VARYING(50) NOT NULL
);
revoke all on group_relation from public;
grant all on group_relation to nobody;

CREATE TABLE group_master (
    group_cd INTEGER NOT NULL,
    group_name CHARACTER VARYING(50) NOT NULL,
    owner_emp_cd CHARACTER VARYING(50) NOT NULL
);
revoke all on group_master from public;
grant all on group_master to nobody;

CREATE TABLE record_access (
    up_time TIMESTAMP NOT NULL,
    group_cd INTEGER NOT NULL,
    readable_status CHARACTER VARYING(1) DEFAULT 'F'
);
revoke all on record_access from public;
grant all on record_access to nobody;

CREATE TABLE serialnumber (
  name TEXT,
  code INT4
);
REVOKE ALL ON serialnumber FROM public;
GRANT ALL ON serialnumber TO nobody;


CREATE TABLE forums (
  id int4 DEFAULT '0' NOT NULL PRIMARY KEY,
  name varchar(50) DEFAULT '' NOT NULL,
  active int2 DEFAULT 0 NOT NULL,
  description varchar(255) DEFAULT '' NOT NULL,
  config_suffix varchar(50) DEFAULT '' NOT NULL,
  folder char DEFAULT '0' NOT NULL,
  parent int4 DEFAULT 0 NOT NULL,
  display int4 DEFAULT 0 NOT NULL,
  table_name varchar(50) DEFAULT '' NOT NULL,
  moderation char DEFAULT 'n' NOT NULL,
  email_list varchar(50) DEFAULT '' NOT NULL,
  email_return varchar(50) DEFAULT '' NOT NULL,
  email_tag varchar(50) DEFAULT '' NOT NULL,
  check_dup int2 DEFAULT 0 NOT NULL,
  multi_level int2 DEFAULT 0 NOT NULL,
  collapse int2 DEFAULT 0 NOT NULL,
  flat int2 DEFAULT 0 NOT NULL,
  lang varchar(50) DEFAULT '' NOT NULL,
  html varchar(40) DEFAULT 'N' NOT NULL,
  table_width varchar(4) DEFAULT '' NOT NULL,
  table_header_color varchar(7) DEFAULT '' NOT NULL,
  table_header_font_color varchar(7) DEFAULT '' NOT NULL,
  table_body_color_1 varchar(7) DEFAULT '' NOT NULL,
  table_body_color_2 varchar(7) DEFAULT '' NOT NULL,
  table_body_font_color_1 varchar(7) DEFAULT '' NOT NULL,
  table_body_font_color_2 varchar(7) DEFAULT '' NOT NULL,
  nav_color varchar(7) DEFAULT '' NOT NULL,
  nav_font_color varchar(7) DEFAULT '' NOT NULL,
  allow_uploads char DEFAULT 'N' NOT NULL,
  upload_types varchar(100) DEFAULT 'N' NOT NULL,
  upload_size int4 DEFAULT '0' NOT NULL,
  max_uploads int4 DEFAULT '0' NOT NULL,
  security int4 DEFAULT '0' NOT NULL,
  showip int2 DEFAULT 1 NOT NULL,
  emailnotification int2 DEFAULT 1 NOT NULL,
  body_color varchar(7) DEFAULT '' NOT NULL,
  body_link_color varchar(7) DEFAULT '' NOT NULL,
  body_alink_color varchar(7) DEFAULT '' NOT NULL,
  body_vlink_color varchar(7) DEFAULT '' NOT NULL
);

REVOKE ALL ON forums FROM public;
GRANT ALL ON forums TO nobody;
CREATE INDEX forums_name ON forums(name);
CREATE INDEX forums_active ON forums(active);
CREATE INDEX forums_parent ON forums(parent);
CREATE INDEX forums_security ON forums(security);

CREATE TABLE mst_menu_category (
  menu_category_id integer NOT NULL PRIMARY KEY,
  menu_category_name varchar(50),
  menu_category_image varchar(50),
  menu_category_order integer
);
REVOKE ALL ON mst_menu_category FROM public;
GRANT ALL ON mst_menu_category TO nobody;

CREATE TABLE group_access (
  cat_cd character varying(10) NOT NULL,
  subcat_cd character varying(10) NOT NULL,
  group_cd character varying(10) NOT NULL,
  writeable boolean NOT NULL
);

REVOKE ALL ON TABLE group_access FROM public;
GRANT ALL ON TABLE group_access TO nobody;

CREATE TABLE facility_category (
        fac_cat_cd character varying(10) CONSTRAINT facility_category_fac_cat_cd PRIMARY KEY,
        fac_cat_name character varying(100) CONSTRAINT facility_category_fac_cat_name NOT NULL,
        enable boolean CONSTRAINT facility_category_enable NOT NULL
);

REVOKE ALL ON facility_category FROM public;
GRANT ALL ON facility_category TO nobody;

ALTER TABLE facilities ADD COLUMN fac_cat_cd character varying(10);
ALTER TABLE facilities ALTER COLUMN fac_cat_cd SET DEFAULT '1';
ALTER TABLE ONLY facilities
    ADD CONSTRAINT facilities_fac_cat_cd FOREIGN KEY (fac_cat_cd) REFERENCES facility_category(fac_cat_cd) ON UPDATE NO ACTION ON DELETE NO ACTION;


ALTER TABLE group_master ADD CONSTRAINT group_master_group_cd PRIMARY KEY(group_cd);
ALTER TABLE group_master ADD COLUMN public_flg boolean;
ALTER TABLE group_master ALTER COLUMN public_flg SET DEFAULT 'f';

CREATE TABLE onetime_password (
  emp_cd VARCHAR(50) NOT NULL,
  pass VARCHAR(10) NOT NULL,
  login_limit TIMESTAMP NOT NULL,
  delete_limit TIMESTAMP NOT NULL
);
REVOKE ALL ON onetime_password FROM public;
GRANT ALL ON onetime_password TO nobody;

COPY "appconf"  FROM stdin;
mygroup	롼	t	emp_group.php	maintenance_title.gif	f	2	myGroup	8
home	HOME	t	index.php	index_title.gif	t	0	HOME	1
conf		t	confmenu.php	maintenance_title.gif	t	3	 	8
p_info	Ŀ;	t	phonebook.php	personal_readtitle.gif	f	5	Colleagues Information	4
com_event	ҹԻͽ	t	monsche.php	com_event_title.gif	f	2	Schedules of Business	1
telmemo		t	telmemo.php	message_title.gif	f	2	Message Notes	2
reserve	ͽ	t	reserve.php	institution_title.gif	f	1	Bookings of Facilities	5
clnt	衦ôԾ	t	client.php	customer_title.gif	f	4	Information of Clients	4
empedit	Ŀ;Խ	t	emp.php	maintenance_title.gif	f	1	Self-information	8
passwd	ѥѹ	t	passwd.php	pass_title.gif	f	2	Password Change	6
workflow	ե	t	workflow.php	workflow_title.gif	f	1	Applications	3
flowpetit		t	flowpetit.php	settlement_title.gif	f	2	Decisions	3
bbs	Ǽ	t	bbs/index.php	bbs_title.gif	f	2	BBS	4
rota	ɽ	t	rota.php	duty_title.gif	f	3	Turns of Duty	1
scdl	塼Ģ	t	schedule2.php	schedule_title.gif	f	1	Personal Schedule	1
notice		t	notice1.php	circulation_title.gif	f	4	Circular Board	1
document	ե붦ͭ	t	record.php	document_title.gif	f	1	Library	4
white	ܡ	t	whiteboard1.php	destination_title.gif	f	1	Whiteboard System	2
\.
COPY "category"  FROM stdin;
1	ĻϿ	t
\.
COPY "company"  FROM stdin;
WIZ	WIZ	1900-01-01	1	http://localhost/	wiz@wiz	WIZϺ
\.
COPY "division"  FROM stdin;
1	̳
\.
COPY "facility_category" FROM stdin;
1	Default	t
\.
COPY "facilities"  FROM stdin;
1	ļ	t	1
\.
COPY "holiday"  FROM stdin;
2004-01-01		f
2004-01-12	ͤ	f
2004-02-11	ǰ	f
2004-03-20	ʬ	f
2004-04-29	ߤɤ	f
2004-05-03	ˡǰ	f
2004-05-04	̱ν	f
2004-05-05	ɤ	f
2004-07-19		f
2004-09-20	Ϸ	f
2004-09-23	ʬ	f
2004-10-11	ΰ	f
2004-11-03	ʸ	f
2004-11-23	ϫդ	f
2004-12-23	ŷ	f
\.
COPY "mst_touban"  FROM stdin;
1		
\.
COPY "mst_type"  FROM stdin;
1	Ұ
\.
COPY "employee"  FROM stdin;
admin	uit0tkg6JSA0s			Initial	Administrator	礭	ꤷ	t	1	1	\N	\N	\N	1	       								1	f
\.
COPY "administrators"  FROM stdin;
admin
\.
COPY "subcategory"  FROM stdin;
1	ͻ	t	1
\.
COPY "whiteboard"  FROM stdin;
admin	0	2001-06-27 09:01:29+09	Ĥξ	\N	admin
\.
COPY "chief"  FROM stdin;
admin	
\.
COPY "chiefemp"  FROM stdin;
\.
COPY "serialnumber"  FROM stdin;
mst_type	2
division	2
mst_touban	2
facilities	2
subcategory	2
category	2
menu_category	9
\.
COPY "mst_menu_category" FROM stdin;
1	뤳ȥå	menu1.gif	1
2	Фä	menu2.gif	2
3	ȽǤĤ	menu3.gif	3
4	ߤʤξ	menu4.gif	4
5	񸻤Ȥ	menu5.gif	5
6	ƥ	menu6.gif	6
7	¾	menu7.gif	7
8		menu8.gif	8
\.
UPDATE facilities SET fac_cat_cd = '1';

UPDATE group_master SET public_flg = 'f';

ALTER TABLE administrators OWNER TO nobody;
ALTER TABLE appconf OWNER TO nobody;
ALTER TABLE casus OWNER TO nobody;
ALTER TABLE category OWNER TO nobody;
ALTER TABLE chief OWNER TO nobody;
ALTER TABLE chiefemp OWNER TO nobody;
ALTER TABLE company OWNER TO nobody;
ALTER TABLE division OWNER TO nobody;
ALTER TABLE employee OWNER TO nobody;
ALTER TABLE facilities OWNER TO nobody;
ALTER TABLE facility_category OWNER TO nobody;
ALTER TABLE forums OWNER TO nobody;
ALTER TABLE group_access OWNER TO nobody;
ALTER TABLE group_master OWNER TO nobody;
ALTER TABLE group_relation OWNER TO nobody;
ALTER TABLE gwlog OWNER TO nobody;
ALTER TABLE holiday OWNER TO nobody;
ALTER TABLE monsche OWNER TO nobody;
ALTER TABLE mst_menu_category OWNER TO nobody;
ALTER TABLE mst_touban OWNER TO nobody;
ALTER TABLE mst_type OWNER TO nobody;
ALTER TABLE mst_wflow OWNER TO nobody;
ALTER TABLE nextodd OWNER TO nobody;
ALTER TABLE notice OWNER TO nobody;
ALTER TABLE oddmans OWNER TO nobody;
ALTER TABLE pnotice OWNER TO nobody;
ALTER TABLE record OWNER TO nobody;
ALTER TABLE record_access OWNER TO nobody;
ALTER TABLE reservation OWNER TO nobody;
ALTER TABLE schedule2 OWNER TO nobody;
ALTER TABLE serialnumber OWNER TO nobody;
ALTER TABLE subcategory OWNER TO nobody;
ALTER TABLE tantou OWNER TO nobody;
ALTER TABLE telmemo2 OWNER TO nobody;
ALTER TABLE tori_place OWNER TO nobody;
ALTER TABLE torihikisaki OWNER TO nobody;
ALTER TABLE touban OWNER TO nobody;
ALTER TABLE transactions OWNER TO nobody;
ALTER TABLE whiteboard OWNER TO nobody;
ALTER TABLE workflow OWNER TO nobody;
ALTER TABLE onetime_password OWNER TO nobody;
ALTER TABLE schedule_date OWNER TO nobody;
ALTER TABLE tmp_event_member OWNER TO nobody;
ALTER TABLE tmp_reservation OWNER TO nobody;
ALTER TABLE wiz_event_member OWNER TO nobody;

