#!/bin/csh -f

if (! $?PGDATA) then
	echo "Envirnment Variable PGDATA is not set."
	exit 1
endif
if (! -o $PGDATA) then
	echo "You are not PostgreSQL administrator."
	exit 1
endif
if (! -e /tmp/.s.PGSQL.5432) then
	echo "postmaster is not up."
	exit 1
endif
while (1)
        echo -n "Name your database.(default:masters) -> "
        set dbname = $<
        if ("$dbname" == "") then
                set dbname = "masters"
                break
        else
		if (-d $PGDATA/base/$dbname) then
			echo "Database already exist"
		else
               		echo "OK."
                	break
		endif
        endif
end
while (1)
        echo -n "Name database username.(default:daemon) -> "
        set username = $<
        if ("$username" == "") then
                set username = "daemon"
                break
        else
       		echo "OK."
               	break
        endif
end
set pgadm = `whoami`
set osname = `uname`
set curdir = `pwd`
switch ($osname)
	case Linux:
                createuser -D -A $username
                createdb -E EUC-JP $dbname -O $username
		sed "s/nobody/$username/g" $curdir/createDbForPgSQL.sql \
		| psql -e $dbname
		breaksw
	default:
		echo "$osname is not supported."
		echo "but...maybe work."
		echo "Please use createdb to make new database,"
		echo "and psql to load schema and data to the database."
		exit 1
endsw

echo "******************************************************"
echo "***Business Open Server Solutions                  ***"
echo "***   Don't forget to run the script 'root.sh'.    ***"
echo "***                                                ***"
echo "***1999-2000 (C)Top Management Service,inc.        ***"
echo "***                            All Rights Reserved.***"
echo "***                            info@tms-px.co.jp   ***"
echo "***2002-2003 (C)System Consultants Co.,Ltd.        ***"
echo "***                            All Rights Reserved.***"
echo "******************************************************"
exit 0
