<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: importcsvdata_owner.php 1226 2004-09-14 09:16:50Z hideki-h $
//

/**
 * CSVǡڤ륯饹
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



include_once($_ROOT_DIR_ . "admin/csvimport/class/errorinfoowner.php");
include_once($_ROOT_DIR_ . "admin/csvimport/class/myfile.php");
include_once($_ROOT_DIR_ . "admin/csvimport/class/importcsvdata.php");


class ImportCsvDataOwner
{
	var $importCsvData;				// CSVǡ
	var $importCsvFileName;			// ݡȤTSVեΥѥ
	var $delimiter;					// ǥߥ
	var $csvFileObj;				// TSVեΥե륪֥
	var $tableName;					// ݡȤơ֥̾

	var $errorInfoOwner;			// 顼󥯥饹


	// 󥹥ȥ饯
	function ImportCsvDataOwner()
	{
		$this->errorInfoOwner = new ErrorInfoOwner();
		$this->csvFileObj = new MyFile();
	}


	// importCsvDataμ
	function getImportCsvData()
	{
		return $this->importCsvData;
	}

	// importCsvData
	function setImportCsvData($importCsvData)
	{
		$this->importCsvData = $importCsvData;
	}

	// importCsvFileNameμ
	function getImportCsvFileName()
	{
		return $this->importCsvFileName;
	}

	// importCsvFileName
	function setImportCsvFileName($importCsvFileName)
	{
		$this->importCsvFileName = $importCsvFileName;
	}

	// delimiterμ
	function getDelimiter()
	{
		// ֶڤǥեȤˤ
		if ($this->delimiter == "")
		{
			$this->delimiter = "\t";
		}

		return $this->delimiter;
	}

	// delimiter
	function setDelimiter($delimiter)
	{
		$this->delimiter = $delimiter;
	}

	// csvFileObjμ
	function getCsvFileObj()
	{
		return $this->csvFileObj;
	}

	// csvFileObj
	function setCsvFileObj($csvFileObj)
	{
		$this->csvFileObj = $csvFileObj;
	}

	// errorInfoOwnerμ
	function getErrorInfoOwner()
	{
		return $this->errorInfoOwner;
	}

	// errorInfoOwner
	function setErrorInfoOwner($errorInfoOwner)
	{
		$this->errorInfoOwner = $errorInfoOwner;
	}


	// ݡȤTSVե򳫤
	function openImportCsvFile()
	{
		if (!$this->csvFileObj->open($this->getImportCsvFileName()))
		{
			echo $this->csvFileObj->errorInfoOwner->outputAllErrorInfo();

			return False;
		}

		return True;
	}


	// ݡȤTSVեĤ
	function closeImportCsvFile()
	{
		if (!$this->csvFileObj->close())
		{
			echo $this->csvFileObj->errorInfoOwner->outputAllErrorInfo();

			return False;
		}

		return True;
	}


	// TSVեβ
	function analyze()
	{
		if (!$this->openImportCsvFile())
		{
			exit;
		}

		$lineCount = 1;
		$isError = False;

		$delimiter = $this->getDelimiter();

		while ($csvArray = fgetcsv($this->csvFileObj->getFilePointer(), 99999, $delimiter))
		{
			// Ƭ // ԤϥȤȤ̵뤹
			// Ԥ̵뤹
			if (!ereg("^\/\/", $csvArray[0]) && !ereg("^$", $csvArray[0]))
			{
				$csvDataTemp = array();
				for ($i = 0; $i < count($csvArray); $i++)
				{
					$this->convert2Eucjp($csvArray[$i]);
					$this->convertKana($csvArray[$i]);
					$this->escapeSql($csvArray[$i]);
					$csvDataTemp[] = $csvArray[$i];
				}

				if (!$isError)
				{
					$this->add($csvDataTemp, $lineCount);
				}
			}

			$lineCount++;
		}

		if (!$this->openImportCsvFile())
		{
			exit;
		}

		if ($isError)
		{
			$this->clear();

			return False;
		}

		return True;
	}


	// ɲ
	function add($csvDataArray, $lineNum)
	{
		$importCsvData = new ImportCsvData();

		$countCsvData = count($csvDataArray);
		for ($i = 0; $i < $countCsvData; $i++)
		{
			$importCsvData->add($csvDataArray[$i]);
			$importCsvData->setLineNum($lineNum);
		}

		$importCsvDataTemp = $this->getImportCsvData();
		$importCsvDataTemp[] = $importCsvData;
		$this->setImportCsvData($importCsvDataTemp);
	}


	// Υꥢ
	function clear()
	{
		$this->setImportCsvData("");
	}


	// EUC-JP˥С
	function convert2Eucjp(&$str)
	{
		if (mb_detect_encoding($str, "auto") != "EUC-JP")
		{
			$str = mb_convert_encoding($str, "EUC-JP", "auto");
		}
	}

	// Ⱦѥʢѥ
	function convertKana(&$str)
	{
		$str = mb_convert_kana($str);
	}

	// SQLѥ
	function escapeSql(&$str)
	{
		$str = addslashes($str);
	}
}
?>